MGD77TRACK(1)

NAME
mgd77track - A shiptrack plotting program

SYNOPSIS
mgd77track NGDC-ids -Rwest/east/south/north[r] -Jparameters [ -A[c][size] ] [ -B[p|s]parameters ] [ -C|g|e ] [ -Dastartdate ] [ -Dbstopdate ] [ -Iignore ] [ -K ] [ -Ltrackticks ] [ -O ] [ -P ] [ -Sastartdist[u] ] [ -Sbstopdist[u] ] [ -TT|t|dms,mc,mfs,mf,mfc ] [ -U[/dx/dy/][label] ] [ -V ] [ -Wpen ] [ -X[a|c|r][x-shift[u]] ] [ -Y[a|c|r][y-shift[u]] ] [ -ccopies ]

DESCRIPTION
mgd77track reads NGDC MGD77 cruises and creates PostScript code that will plot one or more ship tracks on a map using the specified projection. The PostScript code is written to standard output.

NGDC-ids
    Can be one or more of five kinds of specifiers:
    1) 8-character NGDC IDs, e.g., 01010083, JA010010etc., etc.
    2) 2-character <agency> codes which will return all cruises from each agency.
    3) 4-character <agency><vessel> codes, which will return all cruises from those vessels.
    4) =<list>, where <list> is a table with NGDC IDs, one per line.
    5) If nothing is specified we return all cruises in the data base.
    (See mgd77info -F for agency and vessel codes). The ".mgd77" or ".nc" extensions will automatically be appended, if needed (use -I to ignore certain file types). Cruise files will be looked for first in the current directory and second in all directories listed in $MGD77_HOME/mgd77_paths.txt [If $MGD77_HOME is not set it will default to $GMTHOME/share/mgd77].
    NOTE: Under Windows, only (1) and (4) are currently supported.

-J  Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.
    More details can be found in the psbasemap man pages.

    CYLINDRICAL PROJECTIONS:

    -Jclon0/lat0/scale (Cassini)
    -Jjlon0/scale (Miller)
    -Jmscale (Mercator - Greenwich and Equator as origin)
    -Jmlon0/lat0/scale (Mercator - Give meridian and standard parallel)
    -Joalon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
    -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
    -Joclon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
    -Jqlon0/scale (Equidistant Cylindrical Projection (Plate Carree))
    -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
    -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
    -Juzone/scale (UTM - Universal Transverse Mercator)
    -Jylon0/lats/scale (Basic Cylindrical Projection)

    AZIMUTHAL PROJECTIONS:

    -Jalon0/lat0/scale (Lambert)
    -Jelon0/lat0/scale (Equidistant)
    -Jflon0/lat0/horizon/scale (Gnomonic)
    -Jglon0/lat0/scale (Orthographic)
    -Jslon0/lat0/[slat/]scale (General Stereographic)

    CONIC PROJECTIONS:

    -Jblon0/lat0/lat1/lat2/scale (Albers)
    -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
    -Jllon0/lat0/lat1/lat2/scale (Lambert)

    MISCELLANEOUS PROJECTIONS:

    -Jhlon0/scale (Hammer)
    -Jilon0/scale (Sinusoidal)
    -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
    -Jnlon0/scale (Robinson)
    -Jrlon0/scale (Winkel Tripel)
    -Jvlon0/scale (Van der Grinten)
    -Jwlon0/scale (Mollweide)

    NON-GEOGRAPHICAL PROJECTIONS:

    -Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
    -Jxx-scale[d|l|ppow|t|T][/y-scale[d|l|ppow|t|T]] (Linear, log, and power scaling)

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude).

OPTIONS
No space between the option flag and the associated arguments.

-A  Annotate each leg every time it enters the plot. Append c to annotate using the MGD77 cruise ID [Default uses the filename prefix]. Optional size is the font size in points. The leg annotation font is controlled by LABEL_FONT.

-B  Sets map boundary annotation and tickmark intervals; see the psbasemap man page for all the details.

-C  Select procedure for along-track distance calculation:
        f Flat Earth distances.
        g Great circle distances [Default].
        e Geodesic distances on current GMT ellipsoid.

-Da Do not plot data collected before startdate (yyyy-mm-ddT[hh:mm:ss]) [Default is first day].

-Db Do not plot data collected after stopdate (yyyy-mm-ddT[hh:mm:ss]). [Default is last day].

-I  Ignore certain data file formats from consideration. Append a|c|t to ignore MGD77 ASCII, MGD77+ netCDF, or plain table files, respectively. The option may be repreated to ignore more than one format. [Default ignores none].

-K  More PostScript code will be appended later [Default terminates the plot system].

-L  To put time/distance log-marks on the track. E.g. a500ka24ht6h means (a)nnotate every 500 km (k) and 24 h(ours), with (t)ickmarks every 500 km and 6 hours. Alternatively you may use the modifiers d (days) and n (nautical miles).

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [GMT Default is Landscape, see gmtdefaults to change this].

-Sa Do not plot data that are less than startdist meter along track from port of departure. Append k for km, m for miles, or n for nautical miles [Default is 0 meters].

-Sb Do not plot data that are more than stopdist meter along track from port of departure. Append k for km, m for miles, or n for nautical miles [Default is end of track].

-T  Controlls the attributes of the three kinds of markers (T for the first time marker in a new day, t for additional time markers in the same day, and d for distance markers). For each of these you can specify the 5 comma-separated attributes markersize, markercolor, markerfontsize, markerfont, and markerfontcolor. Repeat the -T option for each marker type.

-U  Draw Unix System time stamp on plot. User may specify where the lower left corner of the stamp should fall on the page relative to lower left corner of plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME and UNIX_TIME_POS can affect the appearance; see the gmtdefaults man page for details.

-W  Append pen used for the trackline. [Default is 0.25p,black]. [Default is solid].

-X -Y
    Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If -O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-c  Specifies the number of plot copies. [Default is 1].

EXAMPLES
To generate a Mercator plot of the track of the cruise 01010007 in the area 70W to 20E, 40S to 20N, using a Mercator scale of 0.1inch/degree, label the tracks with 10 points characters, annotate the boundaries every 10 degrees, draw gridlines every 5 degrees, and mark the track every day and 1000 km, with ticks every 6 hours and 250 km, and send the plot to the default printer, enter the following command:

mgd77track 01010007 -R70W/20E/40S/20N -Jm0.1 -B10g5 -A10 -La1da1000kf6hf250k | lpr

SEE ALSO
mgd77info(1), psbasemap(1) mgd77list(1)

REFERENCES
Wessel, P., and W. H. F. Smith, 2005, The Generic Mapping Tools (GMT) version 4.1 Technical Reference & Cookbook, SOEST/NOAA.
Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441.
The Marine Geophysical Data Exchange Format - "MGD77", see http://www.ngdc.noaa.gov/mgg/dat/geodas/docs/mgd77.txt